-- ZB_CK_CHECK_WEBSERVICE ZB_CK_核对WEBSERVICE不匹配清单
insert into ZB_CK.ZB_CK_MYSQL.CHECK_WEBSERVICE
select
	s2.HOSTNAME                ,
	s2.COMCODE                 ,
	s2.BUSINESSNO              ,
	s2.UNDERWRITEENDDATE       ,
	s2.VALIDDATE               ,
	s2.RISKCODE                ,
	s2.CHNLTYPE                ,
	s2.BAOFEI                  ,
	s2.LOADDATE                ,
	s2.BUSINESSNATURE          ,
	s2.BUSINESSCHANNELCODE
from (
	select * from ZB_CK.ZB_CK_ORACLE_ANAQUERY.WEB_REALTIME_BUSINESS_INFO
	where UNDERWRITEENDDATE like concat(DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd'),'%')
	and LOADDATE like concat(DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyy-MM-dd'),'%')
	and cast(BAOFEI as decimal(18,2)) <> 0
) s2
left join (
	select * from ZB_CK.ZB_CK_MYSQL.KAFKA_CBDATA
	where uwConclueDate = DATE_FORMAT(TIMESTAMPADD(DAY,-1,LOCALTIMESTAMP),'yyyyMMdd')
	and cast(cost as decimal(18,2)) <> 0
) s1
on s1.`no` = s2.BUSINESSNO
and s1.COMCODE = s2.COMCODE
and cast(s1.cost as decimal(18,2)) - cast(s2.BAOFEI as decimal(18,2)) between -1.0 and 1.0
where s1.`no` is null

;
