-- ZB_DM_GSYWRNQNBFPM ZB_DM_归属业务人员当日签单保费排名

-- allrybf/日期
-- 取TOP20 按代理人当天出单保费和排序


-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('allrybf/',s1.`uwConclueDate`) as `key`
     ,topNUDF(
            CONCAT('allrybf/',s1.`uwConclueDate`)
            ,cast(s1.`cost` AS VARCHAR )
            ,concat(
                 'com'      ,':'  ,`com`      ,','
                ,'comname'  ,':'  ,`comname`  ,','
                ,'id'       ,':'  ,`id`       ,','
                ,'name'     ,':'  ,`name`     ,','
                ,'cost'     ,':'  ,`cost`
            )
            ,20
            ,s1.`uwConclueDate`
    )                                      as `val`
from (
     select
         d1.`uwConclueDate`                     as `uwConclueDate`
        ,d1.`LEVEL1COMCODE`                     as `group_com`
        ,d1.`LEVEL1COMCODE`                     as `com`
        ,d1.`LEVEL1COMDESC`                     as `comname`
        ,d1.`id`                                as `id`
        ,d1.`name`                              as `name`
        ,cast(d1.`cost` AS VARCHAR )            as `cost`       
     from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
     where `COMNAME` is not null
       and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')       
     ) s1
;


-- 分公司
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('provrybf/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
            CONCAT('provrybf/',s1.`uwConclueDate`,'/',s1.`group_com`)
            ,cast(s1.`cost` AS VARCHAR )
            ,concat(
                     'com'      ,':'  ,`com`      ,','
                    ,'comname'  ,':'  ,`comname`  ,','
                    ,'city'     ,':'  ,`city`     ,','
                    ,'cityname' ,':'  ,`cityname` ,','
                    ,'id'       ,':'  ,`id`       ,','
                    ,'name'     ,':'  ,`name`     ,','
                    ,'cost'     ,':'  ,`cost`
            )
            ,20
            ,s1.`uwConclueDate`
       )                                                      as `val`
from (
     select
         d1.`uwConclueDate`                  as `uwConclueDate`
          ,d1.`LEVEL1COMCODE`                  as `group_com`
          ,d1.`LEVEL1COMCODE`                  as `com`
          ,d1.`LEVEL1COMDESC`                  as `comname`
          ,d1.`LEVEL2COMCODE`                  as `city`
          ,d1.`LEVEL2COMDESC`                  as `cityname`
          ,d1.`id`                             as `id`
          ,d1.`name`                           as `name`
          ,cast(d1.`cost` AS VARCHAR )         as `cost`
     from ZB_ODS.ZB_ODS_KAFKA.CBDATA  d1
    where `COMNAME` is not null
      and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.SET_VARCHAR
select
    CONCAT('cityrybf/',s1.`uwConclueDate`,'/',s1.`group_com`) as `key`
     ,topNUDF(
            CONCAT('cityrybf/',s1.`uwConclueDate`,'/',s1.`group_com`)
            ,cast(s1.`cost` AS VARCHAR )
            ,concat(
                     'com'         ,':'  ,`com`         ,','
                    ,'comname'     ,':'  ,`comname`     ,','
                    ,'city'        ,':'  ,`city`        ,','
                    ,'cityname'    ,':'  ,`cityname`    ,','
                    ,'country'     ,':'  ,`country`     ,','
                    ,'countryname' ,':'  ,`countryname` ,','
                    ,'id'          ,':'  ,`id`          ,','
                    ,'name'        ,':'  ,`name`        ,','
                    ,'cost'        ,':'  ,`cost` 
            )
            ,20
            ,s1.`uwConclueDate`
        )                                                      as `val`
from (
     select
           d1.`uwConclueDate`                  as `uwConclueDate`
          ,d1.`LEVEL2COMCODE`                  as `group_com`
          ,d1.`LEVEL1COMCODE`                  as `com`
          ,d1.`LEVEL1COMDESC`                  as `comname`
          ,d1.`LEVEL2COMCODE`                  as `city`
          ,d1.`LEVEL2COMDESC`                  as `cityname`
          ,d1.`LEVEL3COMCODE`                  as `country`
          ,d1.`LEVEL3COMDESC`                  as `countryname`
          ,d1.`id`                             as `id`
          ,d1.`name`                           as `name`
          ,cast(d1.`cost` AS VARCHAR )         as `cost`
     from ZB_ODS.ZB_ODS_KAFKA.CBDATA d1
     where `COMNAME` is not null
       and `uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
;

