-- ZB_DM_CBXZ ZB_DM_承保新增

-- ZB_DM_JRQDNDQQIBBF_CAR ZB_DM_今日签单今年待起保保费(车险)
-- key:allcarqdbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保日期小于等于今年
-- 3、险种代码前两位为05

-- sumZBUDF 数据累加 入参（key String ,cost String , date String）
-- sumZBUDF 通过date自动清除前一天数据，key为当前数据唯一主键，cost为需要累加的数据值
-- 总公司
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.SET_DECIMAL
select
    CONCAT('allcarqdbf/',s1.`uwConclueDate`)   as `key`
    ,cast (sumZBUDF(
              CONCAT('allcarqdbf/',s1.`uwConclueDate`)
              ,s1.`cost`
              ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
and LEFT(s1.`risk`,2)='05'
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('provcarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL1COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('provcarqdbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
  s1.`COMNAME` is not null
and LEFT(s1.`risk`,2)='05'
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('citycarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL2COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('citycarqdbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)='05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 县支
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('countycarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL3COMCODE`                       as `hkey`
     ,cast (sumZBUDF(
               CONCAT('countycarqdbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )  as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)='05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 团队
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('teamcarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL4COMCODE`                    as `hkey`
     ,cast(sumZBUDF(
               CONCAT('teamcarqdbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)='05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- ZB_DM_JRQDNDQQIBBF_NOCAR ZB_DM_今日签单今年待起保保费(非车险)
-- key:allnocarqdbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保日期小于等于今年
-- 3、险种代码前两位不为05


-- sumZBUDF 数据累加 入参（key String ,cost String , date String）
-- sumZBUDF 通过date自动清除前一天数据，key为当前数据唯一主键，cost为需要累加的数据值
-- 总公司
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.SET_DECIMAL
select
    CONCAT('allnocarqdbf/',s1.`uwConclueDate`)   as `key`
    ,cast (sumZBUDF(
              CONCAT('allnocarqdbf/',s1.`uwConclueDate`)
              ,s1.`cost`
              ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
and LEFT(s1.`risk`,2)<>'05'
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('provnocarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL1COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('provnocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
  s1.`COMNAME` is not null
and LEFT(s1.`risk`,2)<>'05'
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('citynocarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL2COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('citynocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)<>'05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 县支
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('countynocarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL3COMCODE`                       as `hkey`
     ,cast (sumZBUDF(
               CONCAT('countynocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )  as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)<>'05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;

-- 团队
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('teamnocarqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL4COMCODE`                    as `hkey`
     ,cast(sumZBUDF(
               CONCAT('teamnocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)<>'05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
;


-- ZB_DM_JRQDXNDBF ZB_DM_今日签单下年度待起保保费
-- key:allnextyearqbbf/日期
-- 1、核保日期或者核批完成日期(yyyyMMdd)等于今日
-- 2、起保日期大于今年


-- sumZBUDF 数据累加 入参（key String ,cost String , date String）
-- sumZBUDF 通过date自动清除前一天数据，key为当前数据唯一主键，cost为需要累加的数据值
-- 总公司
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.SET_DECIMAL
select
    CONCAT('allnextyearqbbf/',s1.`uwConclueDate`)   as `key`
    ,cast (sumZBUDF(
              CONCAT('allnextyearqbbf/',s1.`uwConclueDate`)
              ,s1.`cost`
              ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) = DATE_FORMAT(TIMESTAMPADD(YEAR,1,LOCALTIMESTAMP),'yyyy')
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('provnextyearqbbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL1COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('provnextyearqbbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            ) as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
  s1.`COMNAME` is not null
and LEFT(s1.`risk`,2)<>'05'
and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) = DATE_FORMAT(TIMESTAMPADD(YEAR,1,LOCALTIMESTAMP),'yyyy')
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('citynextyearqbbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL2COMCODE`                    as `hkey`
     ,cast (sumZBUDF(
               CONCAT('citynextyearqbbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)<>'05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) = DATE_FORMAT(TIMESTAMPADD(YEAR,1,LOCALTIMESTAMP),'yyyy')
;

-- 县支
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('countrynextyearqbbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL3COMCODE`                       as `hkey`
     ,cast (sumZBUDF(
               CONCAT('countrynextyearqbbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
            )  as decimal (18,2))              as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)<>'05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) = DATE_FORMAT(TIMESTAMPADD(YEAR,1,LOCALTIMESTAMP),'yyyy')
;

-- 团队
insert into ZB_DM.ZB_DM_REDIS_CLUSTER_NEW.HSET_DECIMAL
select
    CONCAT('teamnextyearqdbf/',s1.`uwConclueDate`)  as `key`
     ,s1.`LEVEL4COMCODE`                    as `hkey`
     ,cast(sumZBUDF(
               CONCAT('teamnextyearqdbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
               ,s1.`cost`
               ,s1.`uwConclueDate`
           )  as decimal (18,2))            as `val`
from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
where
    s1.`COMNAME` is not null
  and LEFT(s1.`risk`,2)<>'05'
  and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
and left(s1.`startTime`,4) = DATE_FORMAT(TIMESTAMPADD(YEAR,1,LOCALTIMESTAMP),'yyyy')
;

