-- CK_DM_CKDMREGIST CK_DM_理赔校验汇总表

insert into CK_DM.CK_DM_MYSQL.CKDMREGIST
select
    MD5(ConcatObjUDF(s2.CHECK_RULE_NO,s2.USER_IDNO )) as PKID
     , s2.CHECK_RULE_NO              as CHECK_RULE_NO        -- 规则代码
     , cast(sum(1) as varchar)       as CHECK_SUM            -- 规则统计错误数量
     , ''                            as CEECK_DETAILLIST     -- 规则统计错误数据清单拼接
     , s2.CHECK_MESSAGE              as CHECK_MESSAGE        -- 规则统计错误描述
     , s2.USER_NAME                  as USER_NAME            -- 联系人姓名
     , s2.USER_IDNO                  as USER_IDNO            -- 联系人身份证号
     , DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')      as log_time  -- 加工平台处理数据时间
from CK_DWD.CK_DWD_MYSQL.CKDWDREGIST s1
         left join CK_ODS.CK_ODS_MYSQL.DATACHECK_USER_RELATION s2
                   on s1.ERRORMSG like CONCAT('%',s2.CHECK_RULE_NO,'%')
where s1.VALI_DATE = DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd')
  and s2.CHECK_RULE_NO is not null
group by
    CHECK_RULE_NO
       , CHECK_MESSAGE
       , USER_NAME
       , USER_IDNO

;