-- LPDATA 理赔业务数据

业务对象命名：
LPDATA
LPDATA_ACTUALDATA
LPDATA_ACTUALDATA_PRPLCREGIST
LPDATA_ACTUALDATA_PRPLCREGIST_PRPLREPORTER
LPDATA_ACTUALDATA_PRPLCREGIST_PRPLLINKER
LPDATA_ACTUALDATA_PRPLPOLICY
LPDATA_ACTUALDATA_PRPLCARLOSSDETAIL
LPDATA_ACTUALDATA_PRPLCARLOSSDETAIL_PRPLCAR
LPDATA_ACTUALDATA_PRPLCDAMAGE
LPDATA_ACTUALDATA_PRPLCDAMAGE_PRPLDAMAGEADDRESS

LPDATA_ACTUALDATA_PRPLCLAIM
LPDATA_ACTUALDATA_PRPLCLAIM_PRPLCLAIMLOSS
LPDATA_ACTUALDATA_PRPLCASEMODIFY

{
    actualData row(
        accidentNo          String , -- 事故号
        damageStartDate     String , -- 出险时间 无需转码 2021-06-27 19:25:00
        reportDate          String , -- 报案时间 无需转码 2021-06-27 19:37:18
        damageAddress       String , -- 出险地点
        prplcregist array<row(
            policyNo        String , -- 保单号
            registNo        String , -- 报案号
            deptCode        String , -- 理赔机构代码
            deptName        String , -- 理赔机构名称
            prplreporter row(
                reporterName            String , -- 报案人名称
                reporterMobileNo        String   -- 报案人电话
            ) ,
            prpllinker row(
                linkerName          String , -- 联系人名称
                linkerPhoneNo       String   -- 联系人电话
            ),
            thridClaimComCode       String ,
            thridClaimComName       String  
        )> ,
        prplpolicy   String , -- 该字段可能是对象或数组
--         prplpolicy array<row(
--             comCode         String , -- 承保机构代码
--             comName         String , -- 承保机构名称
--             riskCode        String , -- 险种代码
--             riskName        String , -- 险种名称
--             licenseNo       String   -- 车牌号
--         )> ,
        prplcarlossdetail array<row(
            prplcar row(
                brandCode           String , -- 品牌
                carModelCode        String   -- 车型
            )
        )> ,
        prplcdamage row(
            prpldamageaddress row(
                longitude     String , -- 经度
                latitude      String   -- 纬度
            ) ,
            damageName      String , -- 出险原因
            damageCourse    String   -- 出险经过
        ) ,
        prplclaim String ,
--         prplclaim array<row(
--             riskCode    String , -- 险种
--             claimDate   String , -- 出险时间
--             sumclaim    String   -- 估损金额
--             prplclaimloss array<row(
--                 claimno             String ,--  立案号码
--                 claimInputDate      String  --  估损调整时间
--             )>
               prplclloss array<row(
--                 claimno             String ,--  立案号码
--                 claimInputDate      String  --  估损调整时间
--             )> 
--         )> ,
        prplcasemodify array<row (
            sumChangeLoss     String   -- 估损提转差
        )>
    ) ,

    log_time   String ,
    nodeCode   String ,
    comCode    String ,   -- 取 prplpolicy  selected=1得一条数据字段
    comName    String ,   -- 取 prplpolicy  selected=1得一条数据字段
    riskCode   String ,   -- 取 prplpolicy  selected=1得一条数据字段
    riskName   String ,   -- 取 prplpolicy  selected=1得一条数据字段
    licenseNo  String ,   -- 取 prplpolicy  selected=1得一条数据字段
    LEVEL1COMCODE   String   -- 数据分发规则记录数据对应分公司机构
    policyNo                   --  保单号码
    insuredCode                --  被保人代码
    insuredName                --  被保人名称
    businessNatureCode         --  业务来源
    channelType                --  渠道类别
    applicantCode              --  投保人代码
    applicantName              --  投保人名称

}