-- ZB_DM_CBHB ZB_DM_承保合并



-- ZB_DM_JRQDBF ZB_DM_今日签单保费    
-- key:allqdbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)


-- sumZBUDF 数据累加 入参（key String ,cost String , date String）
-- sumZBUDF 通过date自动清除前一天数据，key为当前数据唯一主键，cost为需要累加的数据值
-- 总公司 
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('allqdbf/', s1.`uwConclueDate`) as `key`
              ,sumZBUDF(
                         CONCAT('allqdbf/', s1.`uwConclueDate`)
                         , s1.`cost`
                         , s1.`uwConclueDate`
                        )                     as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
     )t
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provqdbf/', s1.`uwConclueDate`) as `key`
              ,s1.`LEVEL1COMCODE`                       as `hkey`
              ,sumZBUDF(
                 CONCAT('provqdbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
     )t
;


-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`     as `hkey`
              ,sumZBUDF(
                 CONCAT('cityqdbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                 as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
     )t
;

-- 县支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countryqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`      as `hkey`
              ,sumZBUDF(
                 CONCAT('countryqdbf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                       as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
     )t
;

-- 团队
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`              as `hkey`
              ,sumZBUDF(
                 CONCAT('teamqdbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                     as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
     )t
;




-- ZB_DM_JRQDJNQBBF ZB_DM_今日签单今年待起保保费
-- key:allqbbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('allqbbf/', s1.`uwConclueDate`) as `key`
              ,sumZBUDF(
                 CONCAT('allqbbf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`            as `hkey`
              ,sumZBUDF(
                 CONCAT('provqbbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 中支   cityqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`          as `hkey`
              ,sumZBUDF(
                 CONCAT('cityqbbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 县支   countryqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countryqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`                         as `hkey`
              ,sumZBUDF(
                 CONCAT('countryqbbf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                          as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 团队  teamqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`           as `hkey`
              , sumZBUDF(
                 CONCAT('teamqbbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;



-- ZB_DM_JRQDJDMQBBF ZB_DM_今日签单季度末待起保保费
-- key:allquarterqdbf
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当季度

--  总公司  allquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('allquarterqdbf/',s1.`uwConclueDate`)    as `key`
             ,sumZBUDF(
                       CONCAT('allquarterqdbf/',s1.`uwConclueDate`)
                       ,s1.`cost`
                       ,s1.`uwConclueDate`
                    )                  as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
        -- 核保时间在今天并且起保时间的月份小于等于季度。
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;

-- 分公司  provquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('provquarterqdbf/',s1.`uwConclueDate`)    as `key`
             ,s1.`LEVEL1COMCODE`                   as `hkey`
             ,sumZBUDF(
                       CONCAT('provquarterqdbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
                       ,s1.`cost`
                       ,s1.`uwConclueDate`
                    )                    as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
        -- 核保时间在今天并且起保时间的月份小于等于季度。
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;

-- 中支  cityquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('cityquarterqdbf/',s1.`uwConclueDate`)    as `key`
             ,s1.`LEVEL2COMCODE`                    as `hkey`
             ,sumZBUDF(
                        CONCAT('cityquarterqdbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
        -- 核保时间在今天并且起保时间的月份小于等于季度。
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;


-- 县支   countyquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('countyquarterqdbf/',s1.`uwConclueDate`)    as `key`
             ,s1.`LEVEL3COMCODE`                    as `hkey`
             ,sumZBUDF(
                        CONCAT('countyquarterqdbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                      as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
        -- 核保时间在今天并且起保时间的月份小于等于季度。
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;


-- 团队  teamquarterqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('teamquarterqdbf/',s1.`uwConclueDate`)    as `key`
             ,s1.`LEVEL4COMCODE`                   as `hkey`
             ,sumZBUDF(
                        CONCAT('teamquarterqdbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                      as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
        -- 核保时间在今天并且起保时间的月份小于等于季度。
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;




-- ZB_DM_JRQDYDQQBBF ZB_DM_今日签单月底前起保保费
-- key:allmonthqbbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当月

--  总公司  allmonthqbbf
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('allmonthqbbf/', s1.`uwConclueDate`) as `key`
              ,sumZBUDF(
                 CONCAT('allmonthqbbf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                       as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;



-- 分公司  provmonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provmonthqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`                           as `hkey`
              , sumZBUDF(
                 CONCAT('provmonthqbbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                        as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;

-- 中支   citymonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('citymonthqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`                           as `hkey`
              , sumZBUDF(
                 CONCAT('citymonthqbbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                            as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;


-- 县支   countrymonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countrymonthqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`                              as `hkey`
              , sumZBUDF(
                 CONCAT('countrymonthqbbf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                               as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;


-- 团队  teammonthqbbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teammonthqbbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`                           as `hkey`
              , sumZBUDF(
                 CONCAT('teammonthqbbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                            as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;




-- ZB_DM_JRQDJRQBBF ZB_DM_今日签单今日待起保保费
-- key:alldayqdbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当日

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('alldayqdbf/', s1.`uwConclueDate`) as `key`
              , sumZBUDF(
                 CONCAT('alldayqdbf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                         as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provdayqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`                         as `hkey`
              , sumZBUDF(
                 CONCAT('provdayqdbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                       as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- 中支  citydayqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('citydayqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`                         as `hkey`
              , sumZBUDF(
                 CONCAT('citydayqdbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                         as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;


-- 县支  countrydayqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countrydayqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`                            as `hkey`
              , sumZBUDF(
                 CONCAT('countrydayqdbf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                             as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;


-- 团队   teamdayqdbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamdayqdbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`                         as `hkey`
              , sumZBUDF(
                 CONCAT('teamdayqdbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                         as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- ZB_DM_FYWLYBF_HB ZB_DM_分业务来源起保保费合并



-- ZB_DM_FYWLYBFNDQQB ZB_DM_分业务来源年底前起保保费
-- key:allywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年

-- 总公司  allywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('allywlybf/', s1.`uwConclueDate`) as `key`
              , s1.`businessNatureCode`                  as `hkey`
              , sumZBUDF(
                 CONCAT('allywlybf/', s1.`uwConclueDate`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                        as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 分公司  provywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`) as `key`
              , s1.`businessNatureCode`                                            as `hkey`
              , sumZBUDF(
                 CONCAT('provywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                 as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 中支  cityywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`) as `key`
              , s1.`businessNatureCode`                                            as `hkey`
              , sumZBUDF(
                 CONCAT('cityywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 县支  countryywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countryywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL3COMCODE`) as `key`
              , s1.`businessNatureCode`                                               as `hkey`
              , sumZBUDF(
                 CONCAT('countryywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL3COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 团队   teamywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`) as `key`
              , s1.`businessNatureCode`                                            as `hkey`
              , sumZBUDF(
                 CONCAT('teamywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                  as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;



-- ZB_DM_FYWLYBFJMQQB ZB_DM_分业务来源季末前起保保费
-- key:allquarterywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当季度

-- 总公司  allquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('allquarterywlybf/',s1.`uwConclueDate`) as `key`
             ,s1.`businessNatureCode`                  as `hkey`
             ,sumZBUDF(
                        CONCAT('allquarterywlybf/',s1.`uwConclueDate`,s1.`businessNatureCode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                  as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;

-- 分公司  provquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('provquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`)  as `key`
             ,s1.`businessNatureCode`                     as `hkey`
             ,sumZBUDF(
                        CONCAT('provquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL1COMCODE`,s1.`businessNatureCode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                            as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;


-- 中支  cityquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('cityquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)  as `key`
             ,s1.`businessNatureCode`                          as `hkey`
             ,sumZBUDF(
                        CONCAT('cityquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`,s1.`businessNatureCode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                        as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;


-- 县支  countryquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('countryquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)  as `key`
             ,s1.`businessNatureCode`                        as `hkey`
             ,sumZBUDF(
                        CONCAT('countryquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`,s1.`businessNatureCode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                                as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;


-- 团队  teamquarterywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('teamquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`)  as `key`
             ,s1.`businessNatureCode`                                   as `hkey`
             ,sumZBUDF(
                        CONCAT('teamquarterywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL4COMCODE`,s1.`businessNatureCode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                           as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                    END
)t
;



-- ZB_DM_FYWLYBFYDQQB ZB_DM_分业务来源月底前起保保费
-- key:allmonthywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当月

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('allmonthywlybf/', s1.`uwConclueDate`) as `key`
              , s1.`businessNatureCode`                       as `hkey`
              , sumZBUDF(
                 CONCAT('allmonthywlybf/', s1.`uwConclueDate`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                             as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;

-- 分公司  provmonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provmonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`) as `key`
              , s1.`businessNatureCode`                                                 as `hkey`
              , sumZBUDF(
                 CONCAT('provmonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                       as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;


-- 中支   citymonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('citymonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`) as `key`
              , s1.`businessNatureCode`                                                 as `hkey`
              , sumZBUDF(
                 CONCAT('citymonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                        as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;


-- 县支   countrymonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countrymonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL3COMCODE`) as `key`
              , s1.`businessNatureCode`                                                    as `hkey`
              , sumZBUDF(
                 CONCAT('countrymonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL3COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                          as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;


-- 团队  teammonthywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teammonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`) as `key`
              , s1.`businessNatureCode`                                                 as `hkey`
              , sumZBUDF(
                 CONCAT('teammonthywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                       as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;



-- ZB_DM_FYWLYBFDRQDDRQB ZB_DM_分业务来源当日签单当日起保保费
-- key:alldayywlybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间等于当日

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('alldayywlybf/', s1.`uwConclueDate`) as `key`
              , s1.`businessNatureCode`                     as `hkey`
              , sumZBUDF(
                 CONCAT('alldayywlybf/', s1.`uwConclueDate`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                            as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- 分公司  provdayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provdayywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`) as `key`
              , s1.`businessNatureCode`                                               as `hkey`
              , sumZBUDF(
                 CONCAT('provdayywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                    as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;


-- 中支  citydayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('citydayywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`) as `key`
              , s1.`businessNatureCode`                                               as `hkey`
              , sumZBUDF(
                 CONCAT('citydayywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                     as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;


-- 县支  countrydayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('countrydayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)  as `key`
             ,s1.`businessNatureCode`                                     as `hkey`
             ,sumZBUDF(
                        CONCAT('countrydayywlybf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`,s1.`businessNatureCode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                           as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
    )t
;


-- 团队  teamdayywlybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamdayywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`) as `key`
              , s1.`businessNatureCode`                                               as `hkey`
              , sumZBUDF(
                 CONCAT('teamdayywlybf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`, s1.`businessNatureCode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                   as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;



-- ZB_DM_FXLQDBF_HB ZB_DM_分险类渠道保费合并


-- ZB_DM_FXLBF ZB_DM_分险类保费
-- allxlbf/日期	险类代码
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年


--总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('allxlbf/', s1.`uwConclueDate`) as `key`
              , s1.`classcode`                         as `hkey`
              , sumZBUDF(
                 CONCAT('allxlbf/', s1.`uwConclueDate`, s1.`classcode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                     as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 分公司  provxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provxlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`) as `key`
              , s1.`classcode`                                                   as `hkey`
              , sumZBUDF(
                 CONCAT('provxlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`, s1.`classcode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                 as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 中支  cityxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityxlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`) as `key`
              , s1.`classcode`                                                   as `hkey`
              , sumZBUDF(
                 CONCAT('cityxlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL2COMCODE`, s1.`classcode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                               as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 县支  countryxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('countryxlbf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`)   as `key`
             ,s1.`classcode`                                              as `hkey`
             ,sumZBUDF(
                        CONCAT('countryxlbf/',s1.`uwConclueDate`,'/',s1.`LEVEL3COMCODE`,s1.`classcode`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                        as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
    )t
;

-- 团队   teamxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamxlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`) as `key`
              , s1.`classcode`                                                   as `hkey`
              , sumZBUDF(
                 CONCAT('teamxlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`, s1.`classcode`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                 as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- ZB_DM_FQDBF ZB_DM_分渠道保费
-- chnlbf/日期/00000000	渠道代码
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、起保时间小于等于当年


-- 总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('chnlbf/', s1.`uwConclueDate`, '/00000000') as `key`
              , s1.`chnl`                                          as `hkey`
              , sumZBUDF(
                 CONCAT('chnlbf/', s1.`uwConclueDate`, '/00000000', s1.`chnl`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                   as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('chnlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`) as `key`
              , s1.`chnl`                                                      as `hkey`
              , sumZBUDF(
                 CONCAT('chnlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL1COMCODE`, s1.`chnl`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                               as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 中支  citychnlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('citychnlbf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`)   as `key`
             ,s1.`chnl`                                             as `hkey`
             ,sumZBUDF(
                        CONCAT('citychnlbf/',s1.`uwConclueDate`,'/',s1.`LEVEL2COMCODE`,s1.`chnl`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                                   as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and left(s1.`startTime`,4) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyy')
    )t
;



-- 县支  countrychnlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countrychnlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL3COMCODE`) as `key`
              , s1.`chnl`                                                             as `hkey`
              , sumZBUDF(
                 CONCAT('countrychnlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL3COMCODE`, s1.`chnl`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                      as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;



-- 团队  teamchnlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamchnlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`) as `key`
              , s1.`chnl`                                                          as `hkey`
              , sumZBUDF(
                 CONCAT('teamchnlbf/', s1.`uwConclueDate`, '/', s1.`LEVEL4COMCODE`, s1.`chnl`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                                                   as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- ZB_DM_XXZBDBF_HB ZB_DM_新续转保单保费合并


-- ZB_DM_XXZBDBF ZB_DM_新续转保单保费
-- key:xxzbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('xxzbf/', s1.`uwConclueDate`) as `key`
              , sumZBUDF(
                 CONCAT('xxzbf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                     as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
     )t
;

-- 分公司  provxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provxxzbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`                       as `hkey`
              , sumZBUDF(
                 CONCAT('provxxzbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                        as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
     )t
;



-- 中支   cityxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityxxzbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`                       as `hkey`
              , sumZBUDF(
                 CONCAT('cityxxzbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                         as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
     )t
;

-- 县支   countryxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('countryxxzbf/',s1.`uwConclueDate`)   as `key`
             ,s1.`LEVEL3COMCODE`                            as `hkey`
             ,sumZBUDF(
                        CONCAT('countryxxzbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
    )t
;

-- 团队  teamxxzbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamxxzbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`                       as `hkey`
              , sumZBUDF(
                 CONCAT('teamxxzbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                        as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
     )t
;

-- ZB_DM_XXZBDBFNDQQB ZB_DM_新续转保单保费年底前起保
-- key:xxzyearbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 3、起保时间小于等于今年

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('xxzyearbf/', s1.`uwConclueDate`) as `key`
              , sumZBUDF(
                 CONCAT('xxzyearbf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                        as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t

;

-- 分公司  provxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provxxzyearbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`                           as `hkey`
              , sumZBUDF(
                 CONCAT('provxxzyearbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                            as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- 中支  cityxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityxxzyearbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`                           as `hkey`
              , sumZBUDF(
                 CONCAT('cityxxzyearbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                             as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 县支  countryxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countryxxzyearbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`                              as `hkey`
              , sumZBUDF(
                 CONCAT('countryxxzyearbf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                               as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;

-- 团队  teamxxzyearbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamxxzyearbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`                           as `hkey`
              , sumZBUDF(
                 CONCAT('teamxxzyearbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                            as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 4) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyy')
     )t
;


-- ZB_DM_XXZBDBFJDMQQB ZB_DM_新续转保单保费季度末前起保
-- key:xxzquarterbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 2、起保时间的季度小于等于当前季度
-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('xxzquarterbf/',s1.`uwConclueDate`)    as `key`
             ,sumZBUDF(
                        CONCAT('xxzquarterbf/',s1.`uwConclueDate`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                   as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
        -- 起保时间的季度小于等于当前季度
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                   END
)t
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('provxxzquarterbf/',s1.`uwConclueDate`)   as `key`
            ,s1.`LEVEL1COMCODE`                as `hkey`
            ,sumZBUDF(
                        CONCAT('provxxzquarterbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                      as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
        -- 起保时间的季度小于等于当前季度
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                   END
)t
;


-- 中支  cityxxzquarterbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('cityxxzquarterbf/',s1.`uwConclueDate`)   as `key`
             ,s1.`LEVEL2COMCODE`                 as `hkey`
             ,sumZBUDF(
                        CONCAT('cityxxzquarterbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                       as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
        -- 起保时间的季度小于等于当前季度
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                   END
)t
;

-- 县支 countryxxzquarterbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('countryxxzquarterbf/',s1.`uwConclueDate`)   as `key`
             ,s1.`LEVEL3COMCODE`                              as `hkey`
             ,sumZBUDF(
                        CONCAT('countryxxzquarterbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                        as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
        -- 起保时间的季度小于等于当前季度
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                   END
)t
;

-- 团队  teamxxzquarterbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
        select
            CONCAT('teamxxzquarterbf/',s1.`uwConclueDate`)   as `key`
             ,s1.`LEVEL4COMCODE`                        as `hkey`
             ,sumZBUDF(
                        CONCAT('teamxxzquarterbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )                    as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
        -- 起保时间的季度小于等于当前季度
          and CASE WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('01','02','03') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'03')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('04','05','06') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'06')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('07','08','09') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'09')
                   WHEN DATE_FORMAT(LOCALTIMESTAMP,'MM') in ('10','11','12') THEN left(s1.`startTime`,6) <= CONCAT(DATE_FORMAT(LOCALTIMESTAMP,'yyyy'),'12')
                   END
)t
;



-- ZB_DM_XXZBDBFYDQQBYDQQB ZB_DM_新续转保单保费月底前起保
-- key:xxzmonthbf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 3、起保时间小于等于当月

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('xxzmonthbf/', s1.`uwConclueDate`) as `key`
              , sumZBUDF(
                 CONCAT('xxzmonthbf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                         as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;

-- 分公司   provxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provxxzmonthbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`                            as `hkey`
              , sumZBUDF(
                 CONCAT('provxxzmonthbf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                              as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;


-- 中支  cityxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityxxzmonthbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`                            as `hkey`
              , sumZBUDF(
                 CONCAT('cityxxzmonthbf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                              as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;

-- 县支  countryxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countryxxzmonthbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`                               as `hkey`
              , sumZBUDF(
                 CONCAT('countryxxzmonthbf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                               as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;

-- 团队  teamxxzmonthbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('teamxxzmonthbf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL4COMCODE`                            as `hkey`
              , sumZBUDF(
                 CONCAT('teamxxzmonthbf/', s1.`uwConclueDate`, s1.`LEVEL4COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                              as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 6) <= DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMM')
     )t
;



-- ZB_DM_XXZBDBFDRQDDRQB ZB_DM_新续转保单保费当日签单当日起保
-- key:xxzdaybf/日期
-- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- 2、新续转保得保单
-- 3、起保时间等于今天

-- 总公司
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    `key`                 as `key`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('xxzdaybf/', s1.`uwConclueDate`) as `key`
              , sumZBUDF(
                 CONCAT('xxzdaybf/', s1.`uwConclueDate`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                       as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- 分公司 provxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('provxxzdaybf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL1COMCODE`                          as `hkey`
              , sumZBUDF(
                 CONCAT('provxxzdaybf/', s1.`uwConclueDate`, s1.`LEVEL1COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                            as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;


-- 中支  cityxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('cityxxzdaybf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL2COMCODE`                          as `hkey`
              , sumZBUDF(
                 CONCAT('cityxxzdaybf/', s1.`uwConclueDate`, s1.`LEVEL2COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                           as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- 县支  countryxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2) )  as `val`
from (
         select CONCAT('countryxxzdaybf/', s1.`uwConclueDate`) as `key`
              , s1.`LEVEL3COMCODE`                             as `hkey`
              , sumZBUDF(
                 CONCAT('countryxxzdaybf/', s1.`uwConclueDate`, s1.`LEVEL3COMCODE`)
             , s1.`cost`
             , s1.`uwConclueDate`
             )                               as `val`
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
         where s1.`COMNAME` is not null
           and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP, 'yyyyMMdd')
           and s1.`xxzflag` = '1'
           and left (s1.`startTime`
             , 8) = DATE_FORMAT(LOCALTIMESTAMP
             , 'yyyyMMdd')
     )t
;

-- 团队  teamxxzdaybf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    `key`                 as `key`
     ,COALESCE(`hkey`,'') as `hkey`
     ,CAST(COALESCE(`val`,'0') as decimal(18,2))  as `val`
from (
        select
            CONCAT('teamxxzdaybf/',s1.`uwConclueDate`)  as `key`
             ,s1.`LEVEL4COMCODE`                  as `hkey`
             ,sumZBUDF(
                        CONCAT('teamxxzdaybf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
                        ,s1.`cost`
                        ,s1.`uwConclueDate`
                    )               as `val`
        from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
        where s1.`COMNAME` is not null
          and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
          and s1.`xxzflag` = '1'
          and left(s1.`startTime`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
    )t
;

-- -- ZB_DM_QDBF_CAR/ZB_DM_车险今日签单保费
-- -- key:allcarqbbf/日期
-- -- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- -- 2、车险
--
-- --  总公司
-- insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
-- select
--     CONCAT('allcarqdbf/',s1.`uwConclueDate`) as `key`
--      ,cast (sumZBUDF(
--                 CONCAT('allcarqdbf/',s1.`uwConclueDate`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))             as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) ='05'
-- ;
--
-- -- 分公司
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('provcarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL1COMCODE`                      as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('provcarqdbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))              as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) ='05'
-- ;
--
-- -- 中支
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('citycarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL2COMCODE`                      as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('citycarqdbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))              as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) ='05'
-- ;
--
--
-- -- 县支
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('countycarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL3COMCODE`                        as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('countycarqdbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))                as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) ='05'
-- ;
--
--
-- -- 团队
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('teamcarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL4COMCODE`                      as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('countycarqdbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))              as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) ='05'
-- ;


-- -- ZB_DM_QDBF_NOCAR/ZB_DM_非车险今日签单保费
-- -- key:allnocarqbbf/日期
-- -- 1、日期:核保日期或者核批完成日期(yyyyMMdd)
-- -- 2、非车险
--
-- --  总公司
-- insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
-- select
--     CONCAT('allnocarqdbf/',s1.`uwConclueDate`) as `key`
--      ,cast (sumZBUDF(
--                 CONCAT('allnocarqdbf/',s1.`uwConclueDate`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))               as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) <> '05'
-- ;
--
-- -- 分公司
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('provnocarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL1COMCODE`                        as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('provnocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL1COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))                as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) <> '05'
-- ;
--
-- -- 中支
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('citynocarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL2COMCODE`                        as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('citynocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL2COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))                as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) <> '05'
-- ;
--
--
-- -- 县支
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('countynocarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL3COMCODE`                          as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('countynocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL3COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))                  as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) <> '05'
-- ;
--
--
-- -- 团队
-- insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
-- select
--     CONCAT('teamnocarqdbf/',s1.`uwConclueDate`) as `key`
--      ,s1.`LEVEL4COMCODE`                        as `hkey`
--      ,cast (sumZBUDF(
--                 CONCAT('countynocarqdbf/',s1.`uwConclueDate`,s1.`LEVEL4COMCODE`)
--                 ,s1.`cost`
--                 ,s1.`uwConclueDate`
--             ) as decimal (18,2))                as `val`
-- from ZB_ODS.ZB_ODS_KAFKA.CBDATA s1
-- where s1.`COMNAME` is not null
--   and s1.`uwConclueDate` = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
--   and left(s1.risk,2) <> '05'
-- ;