-- ZB_DM_WJPK_HB ZB_DM_未决赔款合并



-- ZB_DM_WJPK ZB_DM_未决赔款
-- key:allwjpk/日期
-- 1、日期:未决估损调整日期(yyyyMMdd)

-- 总公司 
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select
    CONCAT('allwjpk/',s1.`setdate`) as `key`
     ,cast (sumZBUDF(
                CONCAT('allwjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))   as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provwjpk/',s1.`setdate`) as `key`
    ,s1.`LEVEL1COMCODE`              as `hkey`
    ,cast (sumZBUDF(
                CONCAT('provwjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))    as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
;

-- 中支   citywjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citywjpk/',s1.`setdate`) as `key`
     ,s1.`LEVEL2COMCODE`             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('citywjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))    as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
;


-- 县支  countywjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countywjpk/',s1.`setdate`) as `key`
     ,s1.`LEVEL3COMCODE`               as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countywjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))      as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
;


-- 团队  teamwjpk
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamwjpk/',s1.`setdate`) as `key`
     ,s1.`LEVEL4COMCODE`             as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamwjpk/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))    as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
;


-- ZB_DM_FXLWJPK ZB_DM_分险类未决赔款
-- allwjxlbf/日期	险类代码
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)


--总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('allwjxlbf/',s1.`setdate`) as `key`
     ,s1.`classcode`                  as `hkey`
     ,cast (sumZBUDF(
                CONCAT('allwjxlbf/',s1.`setdate`)
                ,s1.`settledamount`
                ,s1.`setdate`
           )  as decimal (18,2))      as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`classcode` is not null
;

-- 分公司  provwjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('provwjxlbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`) as `key`
     ,s1.`classcode`                                          as `hkey`
     ,cast (sumZBUDF(
                CONCAT('provwjxlbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                             as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`classcode` is not null
;

-- 中支  citywjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citywjxlbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`) as `key`
     ,s1.`classcode`                                          as `hkey`
     ,cast (sumZBUDF(
                CONCAT('citywjxlbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                             as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`classcode` is not null
;

-- 县支  countywjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countywjxlbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`) as `key`
     ,s1.`classcode`                                            as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countywjxlbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`classcode` is not null
;

-- 团队  teamwjxlbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamwjxlbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)   as `key`
     ,s1.`classcode`                                            as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamwjxlbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`classcode` is not null
;



-- ZB_DM_FQDWJPK ZB_DM_分渠道未决赔款
-- chnlwjbf/日期	渠道代码
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)


--总公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('chnlwjbf/',s1.`setdate`,'/00000000') as `key`
     ,s1.`chnl`                                  as `hkey`
     ,cast (sumZBUDF(
                CONCAT('chnlwjbf/',s1.`setdate`,'/00000000')
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`chnl` is not null
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('chnlwjbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`) as `key`
    ,s1.`chnl`                                              as `hkey`
    ,cast (sumZBUDF(
                CONCAT('chnlwjbf/',s1.`setdate`,'/',s1.`LEVEL1COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                           as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`chnl` is not null
;

-- 中支  citychnlwjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('citychnlwjbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`) as `key`
     ,s1.`chnl`                                                 as `hkey`
     ,cast (sumZBUDF(
                CONCAT('citychnlwjbf/',s1.`setdate`,'/',s1.`LEVEL2COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`chnl` is not null
;

-- 县支  countychnlwjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('countychnlwjbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`) as `key`
     ,s1.`chnl`                                                   as `hkey`
     ,cast (sumZBUDF(
                CONCAT('countychnlwjbf/',s1.`setdate`,'/',s1.`LEVEL3COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                                 as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`chnl` is not null
;

-- 团队  teamchnlwjbf
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT('teamchnlwjbf/',s1.`setdate`,'/',s1.`LEVEL4COMCODE`) as `key`
     ,s1.`chnl`                                                 as `hkey`
     ,cast (sumZBUDF(
                CONCAT('teamchnlwjbf/',s1.`setdate`,'/',s1.`LEVEL4COMCODE`)
                ,s1.`settledamount`
                ,s1.`setdate`
            )  as decimal (18,2))                               as `val`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where s1.`COMNAME` is not null
  and LEFT(s1.`setdate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
  and s1.`flag`in ('wj','yjwj')
  and s1.`chnl` is not null
;